Go to the first, previous, next, last section, table of contents.

### `var`

`var(rat)`
  :: Main variable (indeterminate) of rat.

return
  indeterminate
rat
  rational expression

- See section Types in Asir for main variable.
- Indeterminates (variables) are ordered by default as follows. `x`, `y`, `z`, `u`, `v`, `w`, `p`, `q`, `r`, `s`, `t`, `a`, `b`, `c`, `d`, `e`, `f`, `g`, `h`, `i`, `j`, `k`, `l`, `m`, `n`, `o`. The other variables will be ordered after the above noted variables so that the first comer will be ordered prior to the followers.

    [0] var(x^2+y^2+a^2);
    x
    [1] var(a*b*c*d*e);
    a
    [2] var(3/abc+2*xy/efg);
    abc

`References`
  section `ord`, section `vars`.

Go to the first, previous, next, last section, table of contents.